techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Place Order
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
          POST
        • List orders
          GET
        • Order Details
          GET
        • Vouchered Cart
          POST
        • Discounted Cart
          POST
        • Redeemed Cart
          POST
        • Add-On Order
          POST
        • Redeemed Add-Ons Cart
          POST
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. Place Order

Redeemed Add-Ons Cart

POST
https://api.techrar.com/api/v3/orders/add-ons/redeem/
This endpoint allows customers to apply loyalty points to add-ons and preview the redeemed prices before placing the order

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v3/orders/add-ons/redeem/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "subscription_id": 100,
    "sub_order_ids": [
        1,
        2,
        3
    ],
    "voucher_code": "ADDON10",
    "add_on_items": [
        {
            "add_on_ids": [
                10,
                11
            ],
            "quantity": 2,
            "sub_order_ids": [
                1,
                2
            ]
        }
    ],
    "is_redeeming": true
}'
Response Response Example
{
    "cart_price": 0,
    "discount_percentage": 0,
    "discounted_price": 0,
    "delivery_fee": 0,
    "total_price": 0,
    "is_prime": true,
    "prime_corporate_location_id": 0,
    "cashback_amount": 0
}
Modified at 2025-12-08 07:42:50
Previous
Add-On Order
Next
List Menus
Built with